# Uses of Class
org.apache.solr.client.solrj.request.CollectionAdminRequest.CreateShard

Packages that use CollectionAdminRequest.CreateShard
Package
Description
org.apache.solr.client.solrj.request
Convenience classes for dealing with various types of Solr requests.

## Uses of CollectionAdminRequest.CreateShard in org.apache.solr.client.solrj.request

Methods in org.apache.solr.client.solrj.request that return CollectionAdminRequest.CreateShard
Modifier and Type
Method
Description
`static CollectionAdminRequest.CreateShard`
CollectionAdminRequest.`createShard(String collection, String shard)`
Returns a SolrRequest to create a new shard in a collection
`CollectionAdminRequest.CreateShard`
CollectionAdminRequest.CreateShard.`setNodeSet(String nodeSet)`
`CollectionAdminRequest.CreateShard`
CollectionAdminRequest.CreateShard.`setProperties(Properties properties)`